/// <reference types="vite/client" />

interface ImportMetaEnv {
  readonly BUILT_AT: string;
  readonly PACKAGE_VERSION: string;
  /**
   * The code reversion. It's recommended to be the git commit sha.
   */
  readonly VITE_CODE_VERSION?: string;
  /**
   * Attach the overlay (in the dev mode) if it's `"true"`.
   */
  readonly VITE_DEVTOOLS_OVERLAY?: string;
  /**
   * Always use compatible version of Masonry.
   */
  readonly VITE_PLATFORM_MASONRY_ALWAYS_COMPAT?: string
}

interface ImportMeta {
  readonly env: ImportMetaEnv;
}
